Bug 1924051 (CVE-2020-17516) - CVE-2020-17516 cassandra: internode encryption enforcement vulnerability
Summary: CVE-2020-17516 cassandra: internode encryption enforcement vulnerability
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2020-17516
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1924052
TreeView+ depends on / blocked
 
Reported: 2021-02-02 13:43 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-02-07 23:59 UTC (History)
17 users (show)

Fixed In Version: cassandra 3.0.24, cassandra 3.11.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-03 08:41:39 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2021-02-02 13:43:06 UTC
When using ‘dc’ or ‘rack’ internode_encryption setting, a Cassandra instance allows both encrypted and unencrypted connections. A misconfigured node or a malicious user can use the unencrypted connection despite not being in the same rack or dc, and bypass mutual TLS requirement.

Reference:
https://www.openwall.com/lists/oss-security/2021/02/02/1

Comment 1 Product Security DevOps Team 2021-02-03 08:41:39 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-17516


Note You need to log in before you can comment on or make changes to this bug.